Mercury API
executeEmbeddedRead Method (msg, timeout)
Namespaces ► ThingMagic ► SerialReader ► executeEmbeddedRead(List<(Of <(Byte>)>), UInt16)
Execute the embedded command
Declaration Syntax

C# | Visual Basic | Visual C++

    public uint executeEmbeddedRead(
    	List<byte> msg,
    	ushort timeout
    )

    Public Function executeEmbeddedRead ( _
    	msg As List(Of Byte), _
    	timeout As UShort _
    ) As UInteger

    public:
    unsigned int executeEmbeddedRead(
    	List<unsigned char>^ msg,
    	unsigned short timeout
    )

Parameters

msg (List <(Of <( Byte >)>))
  The command bytes excluding SOH,Length and CRC

timeout (UInt16)
  the duration in milliseconds to search for tags. Valid range is 0-65535

Return Value
The number of tag found

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)